Subject: More helpful error codes on HTTP errors

Description

Currently, without -v:

$ kamaki store upload windows-2008R2-6-x86_64.diskdump

Invalid response from the server

$ kamaki store upload windows-2008R2-6-x86_64.diskdump -v

404 NOT FOUND

Content-length: 25

Content-language: en-us

Vary: Accept-Language, Cookie

Server: WSGIServer/0.1 Python/2.6.6

Date: Mon, 30 Jan 2012 15:52:49 GMT

Content-type: text/html; charset=utf-8

Invalid response from the server

An HTTP 404 error is a valid response from the server.

Please change the one-line message to show the HTTP error contained in the response.

History

#1 - 01/04/2013 01:01 pm - Stavros Sachtouris

- Status changed from Assigned to Resolved

#2 - 01/04/2013 01:01 pm - Stavros Sachtouris

- % Done changed from 0 to 100

#3 - 01/09/2013 04:43 pm - Stavros Sachtouris

- Status changed from Resolved to Closed
